<?php
session_start();
if((!isset($_SESSION["auth"])) || ($_SESSION["auth"] != 1)){
	//$_SESSION["auth"]が初期化されていない場合または$_SESSION["auth"]の値が1以外のときに実行
	//要するに認証していない
	header('Location:login.php');
	exit();
}

//認証されている場合に利用可能
$dsn = 'mysql:dbname=tform;host=localhost';
try{
	$dbh = new PDO($dsn,'datauser','a');
}
catch(PDOException $e){
	print('DBへ接続できません'.$e->getMessage());
	exit();
}
if(isset($_GET["del"])){
	//?del=がURLに含まれていたときに実行
	$id = intval($_GET["del"]);//強制的に数字に変換して変数に保存
	$sql = "UPDATE data SET act = 0 WHERE id=$id";
	//idが$_GET["del"]で渡されてきたものと一致するものだけact値を0に更新する
	$stmt = $dbh->prepare($sql);
	$stmt->execute();
}

$sql = "SELECT * FROM data WHERE act = 1 ORDER BY id DESC";//idが高いもの順（＝新しいもの）にactが1のデータをdataテーブルからすべて取得する
$stmt = $dbh->prepare($sql);
$stmt->execute();
$output = '';
while($result = $stmt->fetch(PDO::FETCH_ASSOC)){
	//取り出したデータを$resultに1つ収める。それをデータの数だけ繰り返す
	$output .= '<form action="edit.php" method="post"><div><ul><li><input type="text" name="name" value="'.$result["name"].'"></li><li><input type="email" name="email" value="'.$result["email"].'"></li><li><input type="text" name="gender" value="'.$result["gender"].'"></li><li><textarea name="content">'.$result["content"].'</textarea></li><li><a href="javascript:delitem('.$result["id"].');">削除</a></li></ul><p><input type="hidden" name="id" value="'.$result["id"].'"><input type="submit" value="更新"></p></div></form>';
}

//きちんと認証されている場合↓以下に処理を記述
//session_destroy();
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>無題ドキュメント</title>
	<script>
	function delitem(id){
		if(window.confirm('本当に削除しますか？')){
			//OKが押されたらここが実行される
			location.href="mag.php?del="+id;
		}
		else{
			//NGが押されたらここが実行
			return false;//何もしない
		}
	}
	</script>
</head>

<body>
	<main>
		<?php print($output); ?>
	</main>
</body>
</html>